
const portAudio = require('naudiodon');
// const defaultOutput = portAudio.getDevices().find(d => d.isDefaultOutput);
console.log(portAudio.getDevices().filter((d) => d.maxOutputChannels > 0));
// console.log(defaultOutput);


const hostApis = portAudio.getHostAPIs();
const defaultOutputDeviceId = hostApis.HostAPIs[hostApis.defaultHostAPI].defaultOutput;

console.log(hostApis)